
Infrastructure - Bug #698

listobject response from dryad not conforming to schema

2010-06-25 17:35 - Dave Vieglais

Status: Closed Start date: 2013-01-02

Priority: High Due date: 2013-01-02

Assignee: Roger Dahl % Done: 100%

Category: mn.Dryad Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone:  Story Points:  

Product Version: *   

Description

The xml output from listObjects should validate against the schema:

https://repository.dataone.org/software/cicore/trunk/schemas/objectlist.xsd

A couple of issues:

namespace

first element is "response" instead of "objectList"

count, start, and total should be attributes of objectList rather than elements.

History

#1 - 2010-07-30 16:03 - Roger Dahl

- Status changed from New to Closed

#2 - 2013-01-02 15:47 - Dave Vieglais

- Due date set to 2013-01-02

- Category changed from 299 to mn.Dryad

- Start date set to 2013-01-02

- translation missing: en.field_remaining_hours set to 0.0
